package com.ruoyi.scientific.service;

import com.ruoyi.scientific.domain.ActProject;
import com.ruoyi.scientific.domain.vo.ActProjectVo;
import com.ruoyi.scientific.domain.bo.ActProjectBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 科研管理Service接口
 *
 * @author zqjia
 * @date 2024-07-14
 */
public interface IActProjectService {

    /**
     * 查询科研管理
     */
    ActProjectVo queryById(String id);

    /**
     * 查询科研管理列表
     */
    TableDataInfo<ActProjectVo> queryPageList(ActProjectBo bo, PageQuery pageQuery);

    /**
     * 查询科研管理列表
     */
    List<ActProjectVo> queryList(ActProjectBo bo);

    /**
     * 新增科研管理
     */
    Boolean insertByBo(ActProjectBo bo);

    /**
     * 修改科研管理
     */
    Boolean updateByBo(ActProjectBo bo);

    /**
     * 校验并批量删除科研管理信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
